cURL
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/accounts/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"kms_provider_config": {
"encryption_public_key": "<string>"
},
"otp_code": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/verify"
payload = {
"email": "<string>",
"kms_provider_config": { "encryption_public_key": "<string>" },
"otp_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
kms_provider_config: {encryption_public_key: '<string>'},
otp_code: '<string>'
})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "<string>",
"authentication": [
{
"session": {
"Privy": {
"privy_access_token": "<string>",
"refresh_token": "<string>",
"session": {
"expires_at": 1,
"wallets": [
{
"additional_signers": [
{
"signer_id": "<string>",
"override_policy_ids": [
"<string>"
]
}
],
"address": "<string>",
"created_at": 1,
"id": "<string>",
"policy_ids": [
"<string>"
],
"exported_at": 1,
"imported_at": 1,
"owner_id": "<string>",
"public_key": "<string>"
}
],
"authorization_key": "<string>",
"encrypted_authorization_key": {
"ciphertext": "<string>",
"encapsulated_key": "<string>",
"encryption_type": "<string>"
}
},
"token": "<string>",
"user_id": "<string>"
}
}
}
],
"grid_user_id": "<string>",
"policies": {
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"admin_address": "<string>",
"time_lock": 1
},
"status": "<string>"
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}accounts
Post apigridv1accountsverify
POST
/
api
/
grid
/
v1
/
accounts
/
verify
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Body
application/json
Was this page helpful?
⌘I